---
title: Video advertising
slug: Plugins/Flash_to_HTML5/Video/Advertising
tags:
  - Ads
  - Advertising
  - VAST
  - VPAID
---
<p>{{PreviousMenuNext("Plugins/Flash_to_HTML5/Video/DRM_and_authentication", "Plugins/Flash_to_HTML5/Video/Distribution", "Plugins/Flash_to_HTML5/Video")}}</p>

<p class="summary">You may also want to incorporate advertising into your video delivery system, via an ad network.</p>

<h2 id="In_a_nutshell">In a nutshell</h2>

<p>You'll need to work with your ad partners to migrate to HTML. Generally speaking, ad formats such as <a href="https://www.iab.com/guidelines/digital-video-ad-serving-template-vast-4-0/">VAST</a> and <a href="https://www.iab.com/guidelines/digital-video-player-ad-interface-definition-vpaid-2-0/">VPAID 2.0</a> are supported in HTML5. Many commercial video players support VAST/VPAID, such as <a href="http://cedato.com/">Cedato</a>, <a href="https://www.jwplayer.com/">JWPlayer</a>, and <a href="http://videojs.com/">Video.js</a>.</p>

<p>You need to ensure that your chosen player integrates effectively with your ad partner (<a href="http://freewheel.tv/">FreeWheel</a>, <a href="https://www.doubleclickbygoogle.com/">DoubleClick</a>, etc., can answer questions and provide help with choosing a solution that works for you).</p>

<h2 id="Useful_tools">Useful tools</h2>

<p>The <a href="https://developers.google.com/interactive-media-ads/docs/sdks/html5/">IMA SDK</a> is useful for building solutions that allow video ads to play (see also the <a href="https://developers.google.com/interactive-media-ads/docs/sdks/html5/quickstart">IMA Get Started guide</a>).</p>
